package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.NoiseRegion;
import com.lightinit.hsdatashow.entity.NoiseRegionExample;

import java.math.BigDecimal;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface NoiseRegionMapper {
    long countByExample(NoiseRegionExample example);

    int deleteByExample(NoiseRegionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(NoiseRegion record);

    int insertSelective(NoiseRegion record);

    List<NoiseRegion> selectByExample(NoiseRegionExample example);

    NoiseRegion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") NoiseRegion record, @Param("example") NoiseRegionExample example);

    int updateByExample(@Param("record") NoiseRegion record, @Param("example") NoiseRegionExample example);

    int updateByPrimaryKeySelective(NoiseRegion record);

    int updateByPrimaryKey(NoiseRegion record);

    BigDecimal getNoiseRegion();
}